/**
 * Panda Syntax Theme for Highlight.js
 * Based on: https://github.com/tinkertrain/panda-syntax-vscode
 * Author: Annmarie Switzer <https://github.com/annmarie-switzer>
 */
 .ql-code-block-container, pre{
  background: #f8f8f8 !important;
  margin-bottom: 5px;
  margin-top: 5px;
  padding: 5px 10px;
  color: #2a2c2d !important;
  border: 2px solid #D1DDE6 !important;
  border-radius: 4px !important;
  counter-reset: linecounter;
} 

 .github-markup{
    margin: 14px;
    padding: 10px 15px;
    border: 5px solid #D1DDE6 !important;
    border-radius: 4px !important;
} 

.github-logo a{
  color: #000000;
  font-size: 18px;
}

.title-github a{
  color: #1C355E;
  font-size: 15px;
}

.img-icon-github{
  margin-top: 5px;
  margin-right: 5px;
  height: 20px;
  width: auto;
}

div.ql-code-block, span.line-code {
  counter-increment: linecounter;
}

div.ql-code-block::before, span.line-code::before {
  content: counter(linecounter);
  width: 30px;
  text-align: right;
  display: inline-block;
  padding-right: 5px;
  border-right: 1px solid #D1DDE6;
  margin-right: 5px;
  color: #b9c5ce;
}

.hljs {
  color: #2a2c2d;
  background: #f8f8f8;
}

.hljs-emphasis {
  font-style: italic;
}

.hljs-strong {
  font-weight: bold;
}

.hljs-link {
  text-decoration: underline;
}

.hljs-comment,
.hljs-quote {
  color: #8a8fa0;
  font-style: italic;
}

.hljs-params {
  color: #676B79;
}

.hljs-punctuation,
.hljs-attr {
  color: #2a2c2d;
}

.hljs-selector-tag,
.hljs-name,
.hljs-meta,
.hljs-operator,
.hljs-char.escape_ {
  color: #c54f00;
}

.hljs-keyword,
.hljs-deletion {
  color: #d92792;
}

.hljs-regexp,
.hljs-selector-pseudo,
.hljs-selector-attr,
.hljs-variable.language_ {
  color: #cc5e91;
}

.hljs-subst,
.hljs-property,
.hljs-code,
.hljs-formula,
.hljs-section,
.hljs-title.function_ {
  color: #3787c7;
}

.hljs-string,
.hljs-symbol,
.hljs-bullet,
.hljs-addition,
.hljs-selector-class,
.hljs-title.class_,
.hljs-title.class_.inherited__,
.hljs-meta .hljs-string {
  color: #0d7d6c;
}

.hljs-variable,
.hljs-template-variable,
.hljs-number,
.hljs-literal,
.hljs-type,
.hljs-link,
.hljs-built_in,
.hljs-title,
.hljs-selector-id,
.hljs-tag,
.hljs-doctag,
.hljs-attribute,
.hljs-template-tag,
.hljs-meta .hljs-keyword {
  color: #7641bb;
}


blockquote {
  border-left: 5px solid #ccc !important;
  padding: 1.7em 15px !important;
  font-style: italic;
	font-family: Georgia, Times, "Times New Roman", serif;
}

blockquote:before {
  color: #ccc;
  font-size: 2em !important;
  line-height: 0.1em;
  margin-right: 0.25em;
  vertical-align: -0.4em;
  font: italic !important;
}

.quote {
  border-left: 5px solid #ccc !important;
  padding: 1.7em 15px !important;
  font-style: italic;
	font-family: Georgia, Times, "Times New Roman", serif;
}

.quote:before {
  color: #ccc;
  font-size: 2em !important;
  line-height: 0.1em;
  margin-right: 0.25em;
  vertical-align: -0.4em;
  font: italic !important;
}

.quote-reply {
  background: #F8F8F7 !important;
  padding: 14px;
  color: #838380;
  border: 2px solid #D1DDE6 !important;
  border-radius: 4px !important;
  position: relative;
  margin: 14px;
}

.quote-reply:before{
  color: #1C355E;
  content: "“" !important;
  font-size: 23px;
  position: absolute;
  font-family: Georgia, Times, "Times New Roman", serif;
  width: 24px;
  height: 24px;
  left: -12px;
  top: -12px;
  background: #D1DDE6;
  border-radius: 100px;
  text-align: center;
  font-weight: 800;
  font: italic !important;
}

.ql-editor{
  white-space: pre-wrap !important;
}

.ql-editor table {
  table-layout: fixed;
  width: 100%;
  overflow-wrap: normal;
  word-wrap: break-word;
  word-break: break-word;
  text-indent: initial;
}

.ql-editor table td {
  outline: none;
}

.ql-script[value="super"][aria-pressed="false"]{
  background: url("/resource/cnx_Icon_scriptSuper") 50% 50% / 10px 10px no-repeat;
}

.ql-script[value="super"][aria-pressed="true"]{
  background: url("/resource/cnx_Icon_scriptSuper_white") 50% 50% / 10px 10px no-repeat rgb(0, 63, 105);
}

.ql-script[value="sub"][aria-pressed="true"]{
  background: url("/resource/cnx_Icon_scriptSub_white") 50% 50% / 10px 10px no-repeat rgb(0, 63, 105);
}

.ql-script[value="sub"]{
  background: url("/resource/cnx_Icon_scriptSub") 50% 50% / 10px 10px no-repeat;
}

.slds-button_icon-border-filled[title="Github Link"]{
  background: url("/resource/cnx_icon_github") 50% 50% / 18px 18px no-repeat !important;
}

.hljs-ln-numbers {
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;

  text-align: center;
  width: 30px;
  border-right: 1px solid #c1d4e2;
  color: #c1d4e2;
  vertical-align: top;
  padding-right: 5px !important;

}

/* for block of code */
.hljs-ln-code {
  padding-left: 10px !important;
}

hr {
  margin: 12px 0 !important;
}

.signature {
  font-size: 11px !important;
}

/*Buttons*/
.slds-button_brand{
  --slds-c-button-sizing-border: 2px;
  font-weight: 700 !important;
}

.slds-button_neutral{
  --slds-c-button-sizing-border: 2px;
  font-weight: 700 !important;
--slds-c-button-neutral-color-border: #1C355E;
--slds-c-button-neutral-color-border-active: #1C355E;
--slds-c-button-neutral-color-border-hover: #1C355E;
}

.btn-Like .slds-button_neutral {
  --slds-c-button-neutral-color-border: #D9D9D9 !important;
  --slds-c-button-neutral-color-border-hover: #D9D9D9 !important;
  --slds-c-button-neutral-color-border-active: #D9D9D9 !important;
}

.slds-button_brand[lightning-interactiveDialogBase_interactiveDialogBase], 
.slds-button--brand[lightning-interactiveDialogBase_interactiveDialogBase] {
    --sds-c-button-brand-color-background: #011c47 !important;
    --sds-c-button-brand-color-border: #011c47 !important;
    --sds-c-button-brand-color-background-hover: #001639 !important;
    --sds-c-button-brand-color-border-hover: #001639 !important;
}

.slds-button_neutral[lightning-interactiveDialogBase_interactiveDialogBase]{
    --sds-c-button-text-color: #001639 !important;
    --slds-c-button-neutral-color-border: #001639 !important;
    --slds-c-button-neutral-color-border-active: #001639 !important;
    --slds-c-button-neutral-color-border-hover: #001639 !important;
}


.radioClass .slds-form-element__control{
  display: -webkit-box;
  display: flex;
  padding-left: 0% !important;
  font-size:0.75rem !important;
}

.radioClass .slds-form-element__label{
  font-size:0.75rem !important;
}

.slds-rich-text-editor__textarea, .slds-rich-text-editor__output {
  color: #000000;
}

.slds-text-color_weak, .slds-text-color--weak{
  color: #000000;
}

.slds-rich-text-editor__textarea blockquote, .slds-rich-text-editor__output blockquote {
  margin: 10px;
}

.slds-file-selector__dropzone .slds-file-selector__text{
  font-size: 0 !important;
}

.slds-file-selector__dropzone .slds-file-selector__text:after{
  content: 'Drag and Drop Files Here' !important;
  font-size: .8125rem !important;
}